Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Class RoutingManager

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--profiles.RoutingManager

All Implemented Interfaces:
  java.lang.Runnable

public class RoutingManager
extends java.lang.Thread

Gestore di una tabella di routing. Si occupa di aggiornare periodicamente la tabella, prendendo le informazioni da BasicService.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) BasicService` | `basicService`
`(package private) boolean` | `keepUpdating`
`(package private) RoutingTable` | `routingTable`
`(package private) long` | `updateFrequency`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RoutingManager(RoutingTable rt, BasicService bs)`

Method Summary
`long` | `getUpdateFrequency()`
`void` | `run()`
`void` | `setUpdateFrequency(long uf)`
`void` | `stopUpdating()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### updateFrequency

    long updateFrequency

### keepUpdating

    boolean keepUpdating

### routingTable

    RoutingTable routingTable

### basicService

    BasicService basicService

Constructor Detail

### RoutingManager

    public RoutingManager(RoutingTable rt,
                          BasicService bs)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### setUpdateFrequency

    public void setUpdateFrequency(long uf)

### getUpdateFrequency

    public long getUpdateFrequency()

### stopUpdating

    public void stopUpdating()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD